- GRAYBYTE UNDETECTABLE CODES -

403Webshell
Server IP : 184.154.167.98  /  Your IP : 3.135.208.236
Web Server : Apache
System : Linux pink.dnsnetservice.com 4.18.0-553.22.1.lve.1.el8.x86_64 #1 SMP Tue Oct 8 15:52:54 UTC 2024 x86_64
User : puertode ( 1767)
PHP Version : 7.2.34
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/bin/clevis-decrypt
#!/bin/bash -e
# vim: set tabstop=8 shiftwidth=4 softtabstop=4 expandtab smarttab colorcolumn=80:
#
# Copyright (c) 2017 Red Hat, Inc.
# Author: Nathaniel McCallum <npmccallum@redhat.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

SUMMARY="Decrypts using the policy defined at encryption time"

function findexe() {
    [ $# -eq 1 ] || return 1
    while read -r -d: path; do
        [ -f "$path/$1" ] && [ -x "$path/$1" ] && echo "$path/$1" && return 0
    done <<< "$PATH:"
    return 1
}

if [ $# -eq 1 ] && [ "$1" == "--summary" ]; then
    echo "$SUMMARY"
    exit 0
fi

if ! [ -t 0 ]; then
    read -r -d . hdr

    if ! pin="$(jose fmt -q "$hdr" -SyOg clevis -Og pin -Su-)"; then
        echo "JWE is missing the required 'clevis.pin' header property!" >&2
        exit 1
    fi

    if ! cmd="$(findexe clevis-decrypt-"$pin")"; then
        echo "Unable to locate pin '$pin'!" >&2
        exit 1
    fi

    exec "$cmd" < <(echo -n "$hdr."; /bin/cat)
fi

exec >&2
echo
echo "Usage: clevis decrypt < JWE > PLAINTEXT"
echo
echo "$SUMMARY"
echo

exit 2

Youez - 2016 - github.com/yon3zu
LinuXploit